<template>
  <v-card>
    <v-card-title>
      {{ proposal.workplace.jobTitle }} in {{ proposal.workplace.companyName }}, {{ proposal.countryId }}
    </v-card-title>
    <v-card-subtitle>
      Migration proposal details
    </v-card-subtitle>
    <v-divider></v-divider>

    <v-container>
      <v-row no-gutters>
        <v-card-text>
          <h3 class="text-h3">General</h3>
        </v-card-text>

        <v-card-text>
          <p>Country: {{ proposal.country.name }}</p>
          <h4 class="text-subtitle-1">Conditions</h4>
          <v-divider/>
          <div class="text-body-2">
            {{ proposal.conditions }}
          </div>
        </v-card-text>

        <v-card-text>
          <h4 class="text-subtitle-1">Required documents</h4>
          <v-divider/>
          <div class="text-body-2">
            {{ proposal.documents }}
          </div>
        </v-card-text>
      </v-row>
    </v-container>

    <v-container>
      <v-row no-gutters>
        <v-card-text>
          <h2 class="text-h3">Workplace</h2>
        </v-card-text>
        <v-card-text>
          <p>Job Title: {{ proposal.workplace.jobTitle }}</p>
          <p>Company: {{ proposal.workplace.companyName }}</p>
          <p>Address: {{ proposal.workplace.address }}</p>
          <p>Approximate salary: <span class="text-h6 green">{{ proposal.workplace.salary | f }} HUF</span></p>

          <h4 class="text-subtitle-1">Requirements</h4>
          <v-divider/>
          <div class="text-body-2">{{ proposal.workplace.conditions }}
          </div>
        </v-card-text>
      </v-row>
    </v-container>

    <v-container>
      <v-row no-gutters>
        <v-card-text>
          <h2 class="text-h3">Accommodation</h2>
        </v-card-text>
        <v-card-text>
          <p>Address: {{ proposal.accommodation.address }}</p>
          <p>Monthly fee: {{ proposal.accommodation.fee | f }} HUF</p>
          <p>Utilities, approximately: {{ proposal.accommodation.utilities | f }} HUF</p>
          <h4 class="text-subtitle-1">Conditions</h4>
          <v-divider/>
          <div class="text-body-2">{{ proposal.accommodation.conditions }}</div>

        </v-card-text>
      </v-row>
    </v-container>

    <v-card-actions>
      <v-btn color="primary" @click="$emit('close')">Close</v-btn>
    </v-card-actions>
  </v-card>
</template>

<script>
import numeral from "numeral";

export default {
  name: "ProposalDetailsPopup",
  props: {
    proposal: {
      type: Object,
    }
  },

  filters: {
    f(n) {
      return numeral(n).format('0,0')
    }
  }
}
</script>
